> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/changelog/april-2025/april-11/bulk-update-product-reviews-with-a-new-endpoint.md).

# Bulk update product reviews with a new endpoint

#### What's new

Ecwid API allows you to manage product reviews in the store. With a new API call, you can:

* Find specific reviews and update their status.
* Mass delete unwanted reviews from the store.

#### Changes in API

New API endpoint: [Bulk update/delete product reviews](/api-reference/rest-api/products/product-reviews/bulk-update-delete-product-reviews.md)

Here is a request example that publishes all currently unpublished reviews with 4 or 5 ratings:

```http
PUT /api/v3/STOREID/reviews/mass_update HTTP/1.1
Host: app.ecwid.com
Content-Type: application/json
Authorization: Bearer secret_token

{
    "selectMode": "ALL_FILTERED",
    "delete": false,
    "newStatus": "published",
    "currentFilters": {
        "rating": [4, 5],
        "status": "moderated"
    }
}
```

where:

* `STOREID` - your Ecwid store ID.
* `secret_token` - access token of your application.

#### Documentation links

{% content-ref url="/spaces/G9n5VxMY9T0Ob3D56PSD/pages/DfzJXZH4xe7ITmGXsOmH" %}
[Bulk update/delete product reviews](/api-reference/rest-api/products/product-reviews/bulk-update-delete-product-reviews.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ecwid.com/changelog/april-2025/april-11/bulk-update-product-reviews-with-a-new-endpoint.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
